> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neosantara.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# OCR Extraction

> Extract text from images using advanced OCR models.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/ocr
openapi: 3.1.0
info:
  title: Neosantara AI API
  description: OpenAI-compatible LLM Gateway
  version: 1.0.0
servers:
  - url: https://api.neosantara.xyz
    description: Neosantara Production Gateway
security:
  - bearerAuth: []
paths:
  /v1/ocr:
    post:
      tags:
        - Vision
      summary: OCR Extraction
      description: Extract text from images using advanced OCR models.
      operationId: postV1Ocr
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                  default: deepseek-ocr
                image:
                  type: string
                image_type:
                  type: string
                  enum:
                    - url
                    - base64
                  default: url
                return_image:
                  type: boolean
                  default: false
                prompt:
                  type: string
                async:
                  type: boolean
                  default: false
              required:
                - image
      responses:
        '200':
          description: Successful OCR extraction
        '400':
          description: Invalid image or model
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.